let g:nvimgdb_disable_start_keymaps = 1

function! NvimGdbNoTKeymaps()
  tnoremap <silent> <buffer> jk <C-\><C-n>
endfunction

" Disable all default nvim-gdb keymaps
let g:nvimgdb_config_override = {
  \ 'key_next'       : v:null,
  \ 'key_step'       : v:null,
  \ 'key_finish'     : v:null,
  \ 'key_continue'   : v:null,
  \ 'key_until'      : v:null,
  \ 'key_breakpoint' : v:null,
  \ 'key_frameup'    : v:null,
  \ 'key_framedown'  : v:null,
  \ 'key_quit'       : v:null,
  \ 'set_tkeymaps'   : "NvimGdbNoTKeymaps",
  \ }

nnoremap <Leader>dg :GdbStart gdb<SPACE>

nnoremap <Leader>db :GdbBreakpointToggle<CR>
nnoremap <Leader>dB :GdbBreakpointClearAll<CR>

nnoremap <Leader>dc :GdbContinue<CR>
nnoremap <Leader>dn :GdbNext<CR>
nnoremap <Leader>ds :GdbStep<CR>
nnoremap <Leader>dl :GdbUntil<SPACE>

nnoremap <Leader>df :GdbFrame<CR>
nnoremap <Leader>du :GdbFrameUp<CR>
nnoremap <Leader>dd :GdbFrameDown<CR>

nnoremap <Leader>dF :GdbFinish<CR>
nnoremap <Leader>di :GdbInterrupt<CR>
nnoremap <Leader>dq :GdbDebugStop<CR>
